Bug 113769 - [Qt] Some fast/exclusions/shape-outside-floats tests are failing
Summary: [Qt] Some fast/exclusions/shape-outside-floats tests are failing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 87008 113600
  Show dependency treegraph
 
Reported: 2013-04-02 04:47 PDT by Zoltan Arvai
Modified: 2013-04-22 03:13 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltan Arvai 2013-04-02 04:47:38 PDT
New test introduced in r147249 updated in r147384 is failing on Qt.

--- /ramdisk/qt-linux-release/build/layout-test-results/fast/exclusions/shape-outside-floats/shape-outside-floats-ellipse-margin-left-expected.txt
+++ /ramdisk/qt-linux-release/build/layout-test-results/fast/exclusions/shape-outside-floats/shape-outside-floats-ellipse-margin-left-actual.txt
@@ -1,9 +1,9 @@
 PASS elementRect('s1').top is 0
-PASS elementRect('s1').left is 347
+FAIL elementRect('s1').left should be 347. Was 348.
 PASS elementRect('s2').top is 20
-PASS elementRect('s2').left is 390
+FAIL elementRect('s2').left should be 389. Was 390.
 PASS elementRect('s3').top is 40
-PASS elementRect('s3').left is 417
+FAIL elementRect('s3').left should be 417. Was 418.
 The left edges of the three black squares should follow the outer ellipse boundary and each square should appear on a subsequent line.
 
 X
Comment 1 Zoltan Arvai 2013-04-02 05:05:32 PDT
Skipped in http://trac.webkit.org/changeset/147417.
Comment 2 Zoltan Arvai 2013-04-08 01:44:55 PDT
fast/exclusions/shape-outside-floats/shape-outside-floats-diamond-margin-polygon.html is failing added in r147831.

It's probably due to disabled subpixel layout on Qt port.
Comment 3 Zoltan Arvai 2013-04-22 03:13:15 PDT
Enabling sub-pixel layout in r148594 resolved this issue.
fast/exclusions tests are unskipped in http://trac.webkit.org/changeset/148868.